com.google.gwt.user.cellview.client

## Class CellBasedWidgetImplTrident

- java.lang.Object
- - com.google.gwt.user.cellview.client.CellBasedWidgetImpl
  - - com.google.gwt.user.cellview.client.CellBasedWidgetImplTrident

-     class CellBasedWidgetImplTrident
      extends CellBasedWidgetImpl

  IE specified Impl used by cell based widgets.

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.cellview.client.CellBasedWidgetImpl

      `focusableTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellBasedWidgetImplTrident()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isFocusable(Element elem)` Check if an element is focusable.
    `void` | `onBrowserEvent(Widget widget, Event event)` Process an event on a target cell.
    `SafeHtml` | `processHtml(SafeHtml html)` Takes in an html string and processes it, adding support for events.
    `void` | `resetFocus(Scheduler.ScheduledCommand command)` Reset focus on an element.
    `protected int` | `sinkEvent(Widget widget, java.lang.String typeName)` Get the event bits to sink for an event type.

    - ### Methods inherited from class com.google.gwt.user.cellview.client.CellBasedWidgetImpl

      `get, sinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CellBasedWidgetImplTrident

          public CellBasedWidgetImplTrident()

  - ### Method Detail

    - #### isFocusable

          public boolean isFocusable(Element elem)

      Description copied from class: `CellBasedWidgetImpl`
      Check if an element is focusable. If an element is focusable, the cell widget should not steal focus from it.
      Overrides:
        `isFocusable` in class `CellBasedWidgetImpl`
      Parameters:
        `elem` - the element
      Returns:
        true if the element is focusable, false if not

    - #### onBrowserEvent

          public void onBrowserEvent(Widget widget,
                                     Event event)

      Description copied from class: `CellBasedWidgetImpl`
      Process an event on a target cell.
      Overrides:
        `onBrowserEvent` in class `CellBasedWidgetImpl`
      Parameters:
        `widget` - the `Widget` on which the event occurred
        `event` - the event to handle

    - #### processHtml

          public SafeHtml processHtml(SafeHtml html)

      Description copied from class: `CellBasedWidgetImpl`
      Takes in an html string and processes it, adding support for events.
      Overrides:
        `processHtml` in class `CellBasedWidgetImpl`
      Parameters:
        `html` - the html string to process
      Returns:
        the processed html string

    - #### resetFocus

          public void resetFocus(Scheduler.ScheduledCommand command)

      Description copied from class: `CellBasedWidgetImpl`
      Reset focus on an element.
      Overrides:
        `resetFocus` in class `CellBasedWidgetImpl`
      Parameters:
        `command` - the command to execute when resetting focus

    - #### sinkEvent

          protected int sinkEvent(Widget widget,
                                  java.lang.String typeName)

      Description copied from class: `CellBasedWidgetImpl`
      Get the event bits to sink for an event type.
      Overrides:
        `sinkEvent` in class `CellBasedWidgetImpl`
      Parameters:
        `widget` - the `Widget` that will handle the events
        `typeName` - the name of the event to sink
      Returns:
        the event bits to sink, or -1 if no events to sink